org.springframework.data.annotation

## Annotation Type TypeAlias

    @Documented
     @Inherited
     @Target(value=TYPE)
     @Retention(value=RUNTIME)
    public @interface TypeAlias

Annotation to allow `String` based type aliases to be used when writing type information for `PersistentEntity`s.

Author:
  Oliver Gierke

### Required Element Summary

Required Elements
`String` `value` The type alias to be used when persisting

### Element Detail

#### value

    public abstract String value

The type alias to be used when persisting

Returns: